Landing Pages
Update Landing Page Domain Settings
Update or verify landing page domain settings
PUT
/
api
/
v1
/
landing-pages
/
domain
Update Landing Page Domain Settings
curl --request PUT \
--url https://api.sequenzy.com/api/v1/landing-pages/domain \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"verify": true
}
'import requests
url = "https://api.sequenzy.com/api/v1/landing-pages/domain"
payload = {
"domain": "<string>",
"verify": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', verify: true})
};
fetch('https://api.sequenzy.com/api/v1/landing-pages/domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"domain": {
"domain": "pages.example.com",
"domainStatus": "verified",
"verifiedAt": "2026-05-01T10:35:00Z",
"dnsRecordAddedAt": "2026-05-01T10:35:00Z",
"sslStatus": "issued",
"error": null,
"verificationRecords": [],
"lastCheckedAt": "2026-05-01T10:35:00Z",
"cnameTarget": "pages.sequenzydns.com"
}
}
{
"success": false,
"error": "Provide domain or verify."
}
{
"success": false,
"error": "Unauthorized"
}
{
"success": false,
"error": "This landing page domain is already connected."
}
Update the custom domain for landing pages, verify the current domain, or do
both in one request.
Request
string
Replacement custom landing page domain.
boolean
Set to
true to check the current domain’s DNS and SSL status.curl -X PUT "https://api.sequenzy.com/api/v1/landing-pages/domain" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"domain": "pages.example.com", "verify": true}'
Responses
{
"success": true,
"domain": {
"domain": "pages.example.com",
"domainStatus": "verified",
"verifiedAt": "2026-05-01T10:35:00Z",
"dnsRecordAddedAt": "2026-05-01T10:35:00Z",
"sslStatus": "issued",
"error": null,
"verificationRecords": [],
"lastCheckedAt": "2026-05-01T10:35:00Z",
"cnameTarget": "pages.sequenzydns.com"
}
}
{
"success": false,
"error": "Provide domain or verify."
}
{
"success": false,
"error": "Unauthorized"
}
{
"success": false,
"error": "This landing page domain is already connected."
}
⌘I
Update Landing Page Domain Settings
